Bug 202638 - [WPE][GTK] WebKitSecurityManager should consider webkit:// to be a local URI scheme
Summary: [WPE][GTK] WebKitSecurityManager should consider webkit:// to be a local URI ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-07 08:51 PDT by Michael Catanzaro
Modified: 2019-10-09 00:19 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.37 KB, patch)
2019-10-08 02:02 PDT, Carlos Garcia Campos
mcatanzaro: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2019-10-07 08:51:20 PDT
WebKitSecurityManager should consider webkit:// to be a local URI scheme, otherwise Epiphany will display an insecure lock icon when displaying webkit://gpu
Comment 1 Carlos Garcia Campos 2019-10-08 02:02:24 PDT
Created attachment 380415 [details]
Patch
Comment 2 Build Bot 2019-10-08 02:02:57 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Adrian Perez 2019-10-08 02:54:50 PDT
Comment on attachment 380415 [details]
Patch

Patch informally r=me =)
Comment 4 Carlos Garcia Campos 2019-10-09 00:19:19 PDT
Committed r250896: <https://trac.webkit.org/changeset/250896>